---
title: "Get Customers List"
canonical_url: "https://docs.stablegate.com/docs/apiref/customers/get-customers-list"
---
# Get Customers List

::api-operation{color="success" endpoint="/v1/customers/" method="GET"}
## Authorization

::field-group
::field{name="X-Api-Key" type="string" :required="true"}
API key generated in the Developers section of the Stablegate app. Send it in the `X-Api-Key` header on every request; the partner API does not require request signing.
::
::

## Query parameters

::field-group
:field{name="limit" type="integer | null"}:field{name="offset" type="integer | null"}:field{name="client_id" type="string | null"}:field{name="email" type="string | null"}:field{name="phone" type="string | null"}:field{name="username" type="string | null"}:field{name="full_name" type="string | null"}::field{name="type" type="string | null"}
One of: `individual`, `corporate`
::

:field{name="country_code" type="string | null"}:field{name="email_verified" type="boolean | null"}:field{name="kyc_level_key" type="string[]"}:field{name="risk_level_key" type="string[]"}:field{name="pattern" type="string | null"}:field{name="status" type="string[]"}:field{name="partner_uuid" type="string<uuid4> | null"}:field{name="partner_email" type="string | null"}:field{name="user_uuid" type="string<uuid4> | null"}:field{name="user_email" type="string | null"}:field{name="external_reference" type="string | null"}:field{name="email__like" type="string | null"}:field{name="phone__like" type="string | null"}:field{name="username__like" type="string | null"}:field{name="full_name__like" type="string | null"}:field{name="client_id__like" type="string | null"}:field{name="partner_full_name__like" type="string | null"}:field{name="partner_email__like" type="string | null"}:field{name="user_first_name__like" type="string | null"}:field{name="user_last_name__like" type="string | null"}:field{name="user_email__like" type="string | null"}:field{name="external_reference__like" type="string | null"}:field{name="created_at__lt" type="string<date> | null"}:field{name="created_at__lte" type="string<date> | null"}:field{name="created_at__gt" type="string<date> | null"}:field{name="created_at__gte" type="string<date> | null"}:field{name="with_attributes" type="boolean | null"}:field{name="is_funded" type="boolean | null"}:field{name="is_funded_updated_at__lt" type="string<date> | null"}:field{name="is_funded_updated_at__lte" type="string<date> | null"}:field{name="is_funded_updated_at__gt" type="string<date> | null"}:field{name="is_funded_updated_at__gte" type="string<date> | null"}:field{name="accuity_sanctions" type="boolean | null"}:field{name="accuity_sanctions_updated_at__lt" type="string<date> | null"}:field{name="accuity_sanctions_updated_at__lte" type="string<date> | null"}:field{name="accuity_sanctions_updated_at__gt" type="string<date> | null"}:field{name="accuity_sanctions_updated_at__gte" type="string<date> | null"}:field{name="video_verification_passed" type="boolean | null"}:field{name="video_verification_passed_updated_at__lt" type="string<date> | null"}:field{name="video_verification_passed_updated_at__lte" type="string<date> | null"}:field{name="video_verification_passed_updated_at__gt" type="string<date> | null"}:field{name="video_verification_passed_updated_at__gte" type="string<date> | null"}:field{name="first_deposit_date__lt" type="string<date> | null"}:field{name="first_deposit_date__lte" type="string<date> | null"}:field{name="first_deposit_date__gt" type="string<date> | null"}:field{name="first_deposit_date__gte" type="string<date> | null"}::field{name="sort" type="string | null"}
One of: `asc`, `desc`
::

::field{name="order_by" type="string | null"}
One of: `id`, `uuid`, `client_id`, `email`, `phone`, `username`, `created_at`, `full_name`, `type`, `email_verified`, `country_code`, `status`, `kyc_level_key`, `kyc_level_order`, `risk_level_key`, `risk_level_order`, `partner_full_name`, `partner_email`, `user_first_name`, `user_last_name`, `user_email`, `is_funded`, `is_funded_updated_at`, `accuity_sanctions`, `accuity_sanctions_updated_at`, `video_verification_passed`, `video_verification_passed_updated_at`, `first_deposit_date`
::
::

## Responses

::tabs
::tabs-item{label="200"}
Successful Response

Type: `object[]`.

::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="customer_id" type="string" :required="true"}:field{name="external_reference" type="string | null"}:field{name="username" type="string" :required="true"}:field{name="email" type="string | null"}:field{name="full_name" type="string | null"}:field{name="type" type="string | null"}::field{name="state" type="string" :required="true"}
One of: `new`, `active`, `blocked`, `limited`, `closed`
::

::field{name="kyc_level" type="object | null"}
::collapsible{name="properties"}
::field-group
:field{name="uuid" type="string<uuid4>" :required="true"}:field{name="legal_entity_uuid" type="string<uuid4>" :required="true"}:field{name="key" type="string" :required="true"}::field{name="client_type" type="string" :required="true"}
One of: `individual`, `corporate`, `all`
::

:field{name="name" type="string | null"}:field{name="title" type="string | null"}:field{name="icon" type="string | null"}:field{name="approval_date" type="string<date-time> | null"}::field{name="approved_by" type="object | null"}
::collapsible{name="properties"}
::field-group
:field{name="uuid" type="string<uuid4>" :required="true"}:field{name="first_name" type="string | null"}:field{name="last_name" type="string | null"}
::
::
::
::
::
::

:field{name="phone" type="string | null"}:field{name="email_verified" type="boolean" :required="true"}:field{name="country_name" type="string | null"}:field{name="country_code" type="string | null"}:field{name="created_at" type="string<date-time>" :required="true"}
::
::

::tabs-item{label="422"}
Validation Error

::field-group
:field{name="trace_id" type="string" :required="true"}::field{name="error_code" type="string" :required="true"}
One of: `devapi_internal_error`, `devapi_request_validation_error`, `devapi_iban_parse_error`, `devapi_customer_close_error`, `devapi_bank_code_required_error`, `devapi_download_aol_error`, `devapi_not_found_error`, `devapi_bad_request_error`, `devapi_email_occupied_error`, `devapi_idempotency_invalid_key`, `devapi_idempotency_key_misuse`, `devapi_idempotency_request_in_progress`, `devapi_kyc_application_link_error`, `devapi_instant_verification_error`, `devapi_unauthorized_error`, `devapi_forbidden_error`, `devapi_method_not_allowed_error`, `devapi_service_unavailable_error`
::

:field{name="message" type="string" :required="true"}::field{name="details" type="object[]" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="loc" type="string | string[]" :required="true"}:field{name="msg" type="string" :required="true"}:field{name="type" type="string" :required="true"}
::
::
::
::
::
::

::template{v-slot:samples=""}
::code-switcher{method="GET" path="/v1/customers/"}
```bash
curl https://api.stablegate.com/v1/customers/ \
  --header 'X-Api-Key: YOUR_API_KEY'
```
::

::code-group
```json [200]
[
  {
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "customer_id": "string",
    "external_reference": "string",
    "username": "string",
    "email": "string",
    "full_name": "string",
    "type": "string",
    "state": "new",
    "kyc_level": {
      "uuid": "string",
      "legal_entity_uuid": "string",
      "key": "string",
      "client_type": "individual",
      "name": "string",
      "title": "string",
      "icon": "string",
      "approval_date": "2026-01-01T00:00:00Z",
      "approved_by": {
        "uuid": "string",
        "first_name": "string",
        "last_name": "string"
      }
    },
    "phone": "string",
    "email_verified": true,
    "country_name": "string",
    "country_code": "string",
    "created_at": "2026-01-01T00:00:00Z"
  }
]
```

```json [422]
{
  "trace_id": "string",
  "error_code": "devapi_internal_error",
  "message": "string",
  "details": [
    {
      "loc": "string",
      "msg": "string",
      "type": "string"
    }
  ]
}
```
::
::
::


## Sitemap

See the full [sitemap](https://docs.stablegate.com/sitemap.md) for all pages.
